%define name	perl-Term-ReadKey
%define version	2.21
%define release	4mdk

Summary:	Term::ReadKey Perl module
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Perl
Source0:	TermReadKey-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n TermReadKey-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Thu Apr 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.21-4mdk
- rebuild for new perl

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.21-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.21-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Austin Acton <aacton@yorku.ca> 2.21-1mdk
- initial package
